Bug 463699 - [LTC 6.0 FEAT] 201726:Extra kernel parameter via VMPARM
[LTC 6.0 FEAT] 201726:Extra kernel parameter via VMPARM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27
  Show dependency treegraph
 
Reported: 2008-09-24 02:51 EDT by IBM Bug Proxy
Modified: 2010-05-11 11:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 16:48:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 02:51:03 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:22 EDT
1. Feature Overview:
Feature Id:	[201726]
a. Name of Feature:	Extra kernel parameter via VMPARM
b. Feature Description
Append VMPARM parameters to kernel command line during IPL.   Add new kernel options using the IPL
command and without modifying the content of the parmfile (and run zipl to populate the content).  
Temporary overwrite kernel options that are already provided by the parmfile.  Replace the entire
boot command line with the VM parameter string; and bypassing any kernel  options from the parmfile.
 Create new Linux Named Saved Systems (NSS) on the CP/CMS command line.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	K 2.6.27

3. Business Case
This item provides the user/adminitrator more flexibility when booting the system.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 17:20:31 EDT
Did this make 2.6.27?
Comment 2 IBM Bug Proxy 2009-02-05 00:01:25 EST
(In reply to comment #4)
> Did this make 2.6.27?
>

Yes.
Comment 3 Bill Nottingham 2009-02-05 10:48:35 EST
OK, setting to MODIFIED.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 4 Hans-Joachim Picht 2009-09-22 16:48:47 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by  Hans-Joachim Picht <hpicht@redhat.com>
Comment 5 IBM Bug Proxy 2010-05-11 11:24:11 EDT
------- Comment From mgrf@de.ibm.com 2010-05-11 11:07 EDT-------
This feature is verified on R6 betas
-> set to verified

Note You need to log in before you can comment on or make changes to this bug.